## libsdl2-net 2.0.0+dfsg1

=== debian/changelog ===
libsdl2-net (2.0.0+dfsg1-2) unstable; urgency=low

  * Build-Depends on pkg-config
  * Do not call dh_autoreconf with ./autogen.sh as parameter, to force
    using new config.{sub,guess} files, which important when having new
    architectures (Closes: #727436)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 29 Oct 2013 16:40:22 +0000

libsdl2-net (2.0.0+dfsg1-1) unstable; urgency=low

  * New upstream release
    - Update dependencies and build-dependencies to remove ~rc1
  * Filter upstream tarball from binaries and unneeded cruft

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 12 Aug 2013 23:35:27 +0100

libsdl2-net (2.0.0~rc1-1) unstable; urgency=low

  * Initial release. (Closes: #711571)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 08 Jun 2013 16:29:51 +0100
