=== debian/control ===
Source: libsdl2-net
Section: libs
Priority: optional
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9~),
               dh-autoreconf,
               libsdl2-dev (>= 2.0.0),
               pkg-config
Homepage: http://www.libsdl.org/projects/SDL_net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/libsdl2-net.git
Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/libsdl2-net.git


Package: libsdl2-net-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Network library for Simple DirectMedia Layer 2, libraries
 This is a small, low-level, cross-platform networking library, that can be used
 with the Simple DirectMedia Layer library.
 .
 This package contains the shared library.

Package: libsdl2-net-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Depends: ${misc:Depends},
         libsdl2-net-2.0-0 (= ${binary:Version})
Description: Network library for Simple DirectMedia Layer 2, debugging
 This is a small, low-level, cross-platform networking library, that can be used
 with the Simple DirectMedia Layer library.
 .
 This package contains the debugging information for the shared library.

Package: libsdl2-net-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
	 libsdl2-net-2.0-0 (= ${binary:Version}),
	 libsdl2-dev (>= 2.0.0)
Description: Network library for Simple DirectMedia Layer 2, development files
 This is a small, low-level, cross-platform networking library, that can be used
 with the Simple DirectMedia Layer library.
 .
 This package contains the development files.
