=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SHLIBVER := 2.0.0


# according to help: speeds up one-time build
confflags := --disable-dependency-tracking
# GUI needed only for examples, don't even try to support it
confflags += --disable-gui


%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
        # do not call with ./autogen.sh as parameter, to force new
        # config.{sub,guess}
	AUTOMAKE="automake --foreign" dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_install:
	dh_install --fail-missing -XlibSDL2_net.la

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.txt

override_dh_link:
        # fix lintian warning dev-pkg-without-shlib-symlink
	dh_link -plibsdl2-net-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so.0.0.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so
	dh_link --remaining-packages

override_dh_compress:
	dh_compress -Xchatd.c -Xchat.cpp -Xchat.h -Xshowinterfaces.c

override_dh_strip:
	dh_strip --dbg-package=libsdl2-net-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V"libsdl2-net-2.0-0 (>= $(SHLIBVER))"
