=== debian/tests/control ===
Tests: libsdl2-net-dev
Restrictions: allow-stderr, superficial
Depends:
 build-essential,
 libsdl2-net-dev,
 pkg-config,
 xauth,
 xvfb,
