## libsdl2-net 2.0.1+dfsg1

=== debian/changelog ===
libsdl2-net (2.0.1+dfsg1-2) unstable; urgency=medium

  * d/rules: Update shlib and .so symlink to the current version

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 26 Jan 2016 16:41:55 +0000

libsdl2-net (2.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Bump Policy Standards-Version to 3.9.6 (no changes needed)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 25 Jan 2016 22:08:53 +0000
