=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg\d+$// \
  http://www.libsdl.org/projects/SDL_net/release/SDL2_net-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)
