## libsdl2-net 2.2.0+dfsg

=== debian/changelog ===
libsdl2-net (2.2.0+dfsg-3) unstable; urgency=medium

  * d/upstream/metadata: Add
  * Update standards version to 4.7.0 (no changes needed)
  * Remove version constraints unnecessary since Debian 11
  * d/tests: Run Xvfb with -noreset to make the test more reliable.
    See #981201. While we're here, also let xvfb-run choose a display
    number instead of hard-coding :99.
  * d/control, d/tests: Depend on pkgconf in preference to pkg-config
  * d/control: Normalize order of dependencies
  * d/gbp.conf: Use DEP-14 branch layout
  * d/gbp.conf: Only sign packaging tags, not upstream tags
  * d/rules: Fix dangling symlink libSDL2_net-2.0.so
  * d/rules: Use dpkg's default.mk instead of reinventing a subset
  * d/rules: Enable full compiler hardening

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Nov 2024 09:47:38 +0000

libsdl2-net (2.2.0+dfsg-2) unstable; urgency=medium

  * d/watch: Update for Github website changes

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Oct 2022 18:18:11 +0100

libsdl2-net (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/upstream/signing-key.asc: Add upstream PGP key
  * d/watch: Look for stable releases on Github
  * d/copyright: Update
  * Install CMake metadata
  * d/tests: Exercise CMake build
  * Drop all patches, applied upstream
  * Update list of example files
  * symbols: Ignore removal of SDLNet_GetLastError, SDLNet_SetLastError.
    These were accidentally exported in older versions, but are not in a
    public header file, and according to codesearch.debian.net nothing
    external to SDL_net is calling them.
  * Standards-Version: 4.6.1 (no changes required)
  * Add myself to Uploaders
  * Install the example programs.
    Put them in libsdl2-net-dev for now, since we don't have a
    libsdl2-net-tests or -examples package.

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Sep 2022 10:46:43 +0100

libsdl2-net (2.0.1+dfsg1-7) unstable; urgency=medium

  * Team upload
  * d/p/_SDLNet_Read16-Be-const-correct-in-unaligned-code-path.patch,
    d/p/Always-implement-exported-symbols-for-SDLNet_Write16-etc.patch,
    d/libsdl2-net-2.0-0.symbols:
    Export SDLNet_Read16() etc. on all architectures
  * d/p/Assume-that-unaligned-access-is-not-allowed-unless-we-kno.patch:
    Avoid unaligned accesses on all non-x86 architectures, not just arm*,
    mips* and sparc*

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Dec 2021 09:59:37 +0000

libsdl2-net (2.0.1+dfsg1-6) unstable; urgency=medium

  * Team upload
  * d/libsdl2-net-2.0-0.symbols: Exclude SDLNet_Read16, etc. on
    arm/mips/sparc. These are not part of the ABI on these architectures.
    They probably should be, but I'd prefer to get that fixed upstream
    rather than having a Debian-specific ABI (see upstream MR #39).

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Oct 2021 14:34:17 +0100

libsdl2-net (2.0.1+dfsg1-5) unstable; urgency=medium

  * Team upload

  [ Manuel A. Fernandez Montecelo ]
  * d/control: Set "Rules-Requires-Root: no"

  [ Simon McVittie ]
  * d/tests: Add basic autopkgtest smoke-test to prove the library works
    (Closes: #941429)
  * d/rules: Don't explicitly use --as-needed linker option.
    It's the default with bullseye toolchains.

  [ Felix Geyer ]
  * Switch to debhelper compat level v12
  * Add build-essential to autopkgtest dependencies
  * Indentation fix
  * Move dh_missing excludes to d/not-installed

  [ Simon McVittie ]
  * d/rules: Stop overriding dh_compress.
    In debhelper compat level 12 or higher, examples aren't compressed,
    so there's no need to avoid compressing these files.
  * Increase debhelper compat level to 13.
    We can now stop overriding dh_missing, because --fail-missing is the
    default in this compat level.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines
  * d/rules: Remove dbgsym migration code.
    This migration happened between Debian 9 and Debian 10.
  * d/copyright: Document which files are excluded.
    This also allows `uscan --download` to be used to obtain a suitably
    repacked tarball next time there is a new upstream release.
  * Add a .symbols file, instead of tracking ABI the error-prone way
  * d/control: Indent with spaces rather than tabs
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Oct 2021 11:18:56 +0100

libsdl2-net (2.0.1+dfsg1-4) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.2.1 (no changes needed)
  * d/control:
    - Use https in Homepage URL
    - Update Vcs-* URLs
  * d/copyright: Use https in Homepage URL and in Format URL
  * d/watch:
    - Switch to version=4
    - Use https in URL
  * Switch to debhelper compat level v11
  * d/rules: dh_install --fail-missing is deprecated and about to be removed,
    use dh_missing instead

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 20 Oct 2018 01:50:16 +0200

libsdl2-net (2.0.1+dfsg1-3) unstable; urgency=medium

  * Update Vcs-* URLs
  * Switch to debhelper compat level v10
    - dh flags --parallel are not needed
    - autoreconf is invoked by default
  * Bump Policy Standards-Version to 4.0.0 (no changes needed)
  * Use automatic dbgsym packages, drop -dbg

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 31 Jul 2017 21:48:59 +0200
