=== debian/control ===
Source: libsdl2-net
Section: libs
Priority: optional
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders:
 Manuel A. Fernandez Montecelo <mafm@debian.org>,
 Simon McVittie <smcv@debian.org>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               libsdl2-dev,
               pkgconf,
Homepage: https://www.libsdl.org/projects/SDL_net/
Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-net
Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2-net.git

Package: libsdl2-net-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Network library for Simple DirectMedia Layer 2, libraries
 This is a small, low-level, cross-platform networking library, that can be used
 with the Simple DirectMedia Layer library.
 .
 This package contains the shared library.

Package: libsdl2-net-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsdl2-dev,
         libsdl2-net-2.0-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Network library for Simple DirectMedia Layer 2, development files
 This is a small, low-level, cross-platform networking library, that can be used
 with the Simple DirectMedia Layer library.
 .
 This package contains the development files.
