=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,10 @@
 
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/default.mk
 
 
 # export variables for autoreconf
@@ -33,5 +34,5 @@
 
 override_dh_link:
 	# fix lintian warning dev-pkg-without-shlib-symlink
-	dh_link -plibsdl2-net-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so.0.0.1 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so
+	dh_link -plibsdl2-net-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so
 	dh_link --remaining-packages
