=== debian/tests/control ===
Tests: libsdl2-net-dev
Restrictions: allow-stderr, superficial
Depends:
 build-essential,
 cmake,
 libsdl2-net-dev,
 ninja-build,
 pkgconf,
 xauth,
 xvfb,
